import { FieldOptions, EasyButtonField } from '../index';
import { EasyField } from '../baseClasses/easyField';
import { EasyForm } from '../baseClasses/easyForm';
export declare class EasyToolbar {
    private form;
    fields: EasyField[];
    menus: EasyField[][];
    constructor(form: EasyForm);
    addButtonField(label: string, action: Function, options?: FieldOptions<any>): EasyButtonField;
    addTextField(label: string, options?: FieldOptions<any>): EasyField;
    addField(field: EasyField): void;
    addMenu(fields: EasyField[]): void;
}
export declare class EasyToolbarContainer {
    toolbars: Array<EasyToolbar>;
    addToolBar(form: EasyForm): EasyToolbar;
}
