export declare class DateFormats {
    /** equivalent to 'yMMMdjms' (e.g. Sep 3, 2010, 12:05:08 PM for en-US) */
    static date_format_medium: string;
    /** equivalent to 'yMdjm' (e.g. 9/3/2010, 12:05 PM for en-US) */
    static date_format_short: string;
    /**  equivalent to 'yMMMMEEEEd' (e.g. Friday, September 3, 2010 for en-US) */
    static date_format_fullDate: string;
    /** equivalent to 'yMMMMd' (e.g. September 3, 2010 for en-US) */
    static date_format_longDate: string;
    /** equivalent to 'yMMMd' (e.g. Sep 3, 2010 for en-US) */
    static date_format_mediumDate: string;
    /** equivalent to 'yMd' (e.g. 9/3/2010 for en-US) */
    static date_format_shortDate: string;
    /** equivalent to 'jms' (e.g. 12:05:08 PM for en-US) */
    static date_format_mediumTime: string;
    /** equivalent to 'jm' (e.g. 12:05 PM for en-US) */
    static date_format_shortTime: string;
    /** equivalent to 'dd/MM/yyyy' (e.g. 21/09/2014) */
    static date_format_ddMMyyyy: string;
    /** equivalent to 'yyyy/MM/dd' (e.g. 2014/08-31) */
    static date_format_yyyyMMdd: string;
}
