import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { LoaderService } from 'easy-core';
export declare class EasyButtonComponent implements OnInit, OnDestroy {
    private loaderService;
    displayValue: string;
    color: string;
    icon: string;
    key: string;
    type: string;
    showLoader: boolean;
    onClicked: EventEmitter<boolean>;
    subscription: any;
    show: boolean;
    constructor(loaderService: LoaderService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    click(): void;
}
