import { EventEmitter, IterableDiffers } from '@angular/core';
import { SelectOption, FieldChangeDto } from '../index';
import { ValidatorService, EasyFormComponent } from '../services/validation.service';
export declare class EasySelectKeyValueComponent extends EasyFormComponent {
    private iterableDiffers;
    fieldValueChange: EventEmitter<FieldChangeDto>;
    placeholder: string;
    items: Array<SelectOption<any>>;
    selectedValue: any;
    key: string;
    iterableDiffer: any;
    constructor(validatorService: ValidatorService, iterableDiffers: IterableDiffers);
    ngDoCheck(): void;
    ngOnInit(): void;
    onChange(): void;
}
