import { EasyContainer } from '../baseClasses/easyContainer';
import { FieldOptions, EasyForm, EasyCardField, EasyTabField, EasyAccordionField, IEasyContainerGroup } from '../index';
export declare class EasyExpansionPanelField extends EasyContainer implements IEasyContainerGroup {
    controlType: string;
    constructor(header: string, options: FieldOptions<any>, form: EasyForm);
    addCardContainer(header: string, options?: FieldOptions<any>): EasyCardField;
    addTabContainer(header: string, options?: FieldOptions<any>): EasyTabField;
    addAccordionContainer(header: string, options?: FieldOptions<any>): EasyAccordionField;
    addExpansionPanelContainer(header: string, options?: FieldOptions<any>): EasyExpansionPanelField;
}
