import { OnDestroy } from '@angular/core';
import { MatDialog } from '@angular/material';
import { EasyNotification } from '../notificationService/notification.service';
import { HttpIntegrationService } from 'easy-core';
import { EasyForm } from '../baseClasses/easyForm';
export declare class EasyFormService implements OnDestroy {
    private easyNotification;
    private httpIntegrationService;
    private form;
    private errorSubscription;
    private easyModal;
    private modal;
    private stackTraceField;
    constructor(easyNotification: EasyNotification, httpIntegrationService: HttpIntegrationService, matDialog: MatDialog);
    buildModal(): void;
    showErrorModal(message: string): void;
    createForm(): EasyForm;
    ngOnDestroy(): void;
}
