import { EventEmitter, IterableDiffers } from '@angular/core';
import { ValidatorService, EasyFormComponent } from '../services/validation.service';
import { SelectOption, FieldChangeDto } from '../index';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/startWith';
import 'rxjs/add/operator/map';
export declare class EasyAutocompleteKeyValueComponent extends EasyFormComponent {
    private iterableDiffers;
    placeholder: string;
    items: Array<SelectOption<any>>;
    selectedValue: any;
    key: string;
    fieldValueChange: EventEmitter<FieldChangeDto>;
    filteredItems: Observable<Array<SelectOption<any>>>;
    iterableDiffer: any;
    displayValue: any;
    constructor(validatorService: ValidatorService, iterableDiffers: IterableDiffers);
    displayFn(item: SelectOption<any>): any;
    ngDoCheck(): void;
    onChange(item: SelectOption<any>): void;
    filter(name: string): SelectOption<any>[];
}
