import { EventEmitter } from '@angular/core';
import { ValidatorService, EasyFormComponent } from '../services/validation.service';
import { SelectOption, FieldChangeDto } from '../index';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/startWith';
import 'rxjs/add/operator/map';
export declare class EasyAutocompleteComponent extends EasyFormComponent {
    placeholder: string;
    key: string;
    selectedValue: any;
    items: string[];
    fieldValueChange: EventEmitter<FieldChangeDto>;
    filteredItems: Observable<string[]>;
    constructor(validatorService: ValidatorService);
    onChange(item: SelectOption<any>): void;
    filter(name: string): string[];
}
