import { EventEmitter } from '@angular/core';
import { ValidatorService, EasyFormComponent } from '../services/validation.service';
export declare class CheckboxListItem {
    displayValue: string;
    value: string;
    checked: boolean;
    constructor(displayValue: string, value: string);
}
export declare class EasyCheckBoxGroupComponent extends EasyFormComponent {
    fieldValueChange: EventEmitter<{}>;
    placeholder: string;
    value: Array<string>;
    key: string;
    items: Array<CheckboxListItem>;
    checkboxListItems: Array<CheckboxListItem>;
    constructor(validatorService: ValidatorService);
    ngOnInit(): void;
    onChange(): void;
}
