import { EventEmitter } from '@angular/core';
import { ValidatorService, EasyFormComponent } from '../services/validation.service';
import { DateAdapter } from '@angular/material';
export declare class EasyDatePickerComponent extends EasyFormComponent {
    private dateAdapter;
    fieldValueChange: EventEmitter<{}>;
    placeholder: string;
    value: any;
    key: string;
    readonly: boolean;
    hint: string;
    constructor(validatorService: ValidatorService, dateAdapter: DateAdapter<Date>);
    ngOnInit(): void;
    onChange(): void;
    onselectedChanged(date: Date): void;
}
