import { FieldChangeDto } from './../classes/fieldChangeDto';
import { ValidatorService } from './../services/validation.service';
import { EventEmitter } from '@angular/core';
import { EasyFormComponent, EasyFieldValidator } from "../services/validation.service";
export declare class EasyDateTimePickerComponent extends EasyFormComponent {
    fieldValueChange: EventEmitter<{}>;
    hourValue: number;
    minuteValue: number;
    amPmValue: string;
    readonly: boolean;
    hint: string;
    placeholder: string;
    value: any;
    dateKey: string;
    minuteValid: boolean;
    hourValid: boolean;
    dateValid: boolean;
    timeOfDayItems: string[];
    hourValidators: Array<EasyFieldValidator>;
    minuteValidators: Array<EasyFieldValidator>;
    constructor(validatorService: ValidatorService);
    ngOnInit(): void;
    amPmValueChanged(event: FieldChangeDto): void;
    hourValueChanged(event: FieldChangeDto): void;
    minuteValueChanged(event: FieldChangeDto): void;
    dateValueChanged(event: FieldChangeDto): void;
    onChange(): void;
    ngOnChanges(changes: any): void;
}
