import { EventEmitter } from '@angular/core';
import { ValidatorService, EasyFormComponent } from '../services/validation.service';
import { FieldChangeDto } from '../index';
export declare class EasyFileUploadComponent extends EasyFormComponent {
    color: string;
    icon: string;
    type: string;
    placeholder: string;
    key: string;
    hint: string;
    allowedExtensions: string;
    onClicked: EventEmitter<boolean>;
    fieldValueChange: EventEmitter<FieldChangeDto>;
    constructor(validatorService: ValidatorService);
    ngOnInit(): void;
    uploadClick(): void;
    click(): void;
    fileChanged($event: any): void;
}
