import { EventEmitter } from '@angular/core';
import { FieldChangeDto } from '../index';
import { ValidatorService, EasyFormComponent } from '../services/validation.service';
export declare class EasyInputComponent extends EasyFormComponent {
    fieldValueChange: EventEmitter<FieldChangeDto>;
    value: string;
    key: string;
    hint: string;
    type: string;
    onEnter: Function;
    maxLength: number;
    placeholder: string;
    constructor(validatorService: ValidatorService);
    onChange(): void;
    enterKeyPressed(): void;
}
