import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { EasyField } from '../baseClasses/easyField';
import { EasyContainer } from '../baseClasses/easyContainer';
import { ObservableMedia } from "@angular/flex-layout";
export declare class EasyModalDialog implements OnInit {
    private dialogRef;
    private media;
    data: any;
    header: string;
    fields: EasyField[];
    actions: EasyField[];
    container: EasyContainer;
    width: string;
    constructor(dialogRef: MatDialogRef<EasyModalDialog>, media: ObservableMedia, data: any);
    ngOnInit(): void;
    setResponsiveStyles(): void;
    setFieldValuesFromData(): void;
    setForm(container: EasyContainer): void;
    click(action: Function, field: EasyField): void;
}
