import { EventEmitter } from '@angular/core';
import { SelectOption, FieldChangeDto } from '../index';
import { FormControl } from '@angular/forms';
import { ValidatorService, EasyFormComponent } from '../services/validation.service';
export declare class EasyRadioButtonComponent extends EasyFormComponent {
    fieldValueChange: EventEmitter<FieldChangeDto>;
    placeholder: string;
    selectedValue: any;
    key: string;
    items: Array<SelectOption<any>>;
    formControl: FormControl;
    constructor(validatorService: ValidatorService);
    onChange(): void;
}
