import { OnInit } from '@angular/core';
import { Http } from '@angular/http';
import { EasyNotification } from '../notificationService/notification.service';
import { FileDownloadService } from '../services/file-download-service';
export declare class SourceDetail {
    url: string;
    httpHeaders: Object;
    withCredentials: boolean;
    constructor(url: string, token: string);
}
export declare class EasyRecordComponent implements OnInit {
    private easyNotification;
    private fileDownloader;
    private http;
    source: string;
    authorizationHeader: string;
    document: SourceDetail;
    pageCount: number;
    page: number;
    isLoadComplete: boolean;
    constructor(easyNotification: EasyNotification, fileDownloader: FileDownloadService, http: Http);
    ngOnInit(): void;
    loadComplete(event: any): void;
    onError(error: any): void;
    nextPage(): void;
    previousPage(): void;
    getFilename(response: any): string;
    download(): void;
    getFileExtension(filename: string): string;
}
