import { EventEmitter } from '@angular/core';
import { ValidatorService, EasyFieldValidator, EasyFormComponent } from '../services/validation.service';
import { FormControl } from '@angular/forms';
import { FieldChangeDto } from '../index';
export declare class EasyTextAreaComponent extends EasyFormComponent {
    fieldValueChange: EventEmitter<FieldChangeDto>;
    placeholder: string;
    value: string;
    maxLength: number;
    validators: Array<EasyFieldValidator>;
    key: string;
    readonly: boolean;
    height: boolean;
    minHeight: boolean;
    maxHeight: boolean;
    formControl: FormControl;
    constructor(validatorService: ValidatorService);
    ngOnInit(): void;
    onBlur(): void;
}
