import { OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs/Rx';
import { LoaderService } from 'easy-core';
import { EasyFabService } from '../services/easy-fab-service';
import { EasyField } from '../baseClasses/easyField';
export declare class EasyFabComponent implements OnDestroy {
    private loaderService;
    private easyFabService;
    actions: Array<EasyField>;
    subscription: any;
    easyFabSubscription: Subscription;
    constructor(loaderService: LoaderService, easyFabService: EasyFabService);
    click(field: EasyField): void;
    ngOnDestroy(): void;
}
