import { EasyContainer } from '../baseClasses/easyContainer';
import { EasyForm } from '../baseClasses/easyForm';
import { FieldOptions } from '../classes/field-options';
import { EasyTabField, EasyAccordionField, EasyExpansionPanelField, IEasyContainerGroup } from '../index';
export declare class EasyCardField extends EasyContainer implements IEasyContainerGroup {
    controlType: string;
    constructor(header: string, options: FieldOptions<any>, form: EasyForm);
    addCardContainer(header: string, options?: FieldOptions<any>): EasyCardField;
    addTabContainer(header: string, options?: FieldOptions<any>): EasyTabField;
    addAccordionContainer(header: string, options?: FieldOptions<any>): EasyAccordionField;
    addExpansionPanelContainer(header: string, options?: FieldOptions<any>): EasyExpansionPanelField;
}
