import { Http } from '@angular/http';
import { EasyNotification } from '../notificationService/notification.service';
export declare class FileDownloadService {
    private http;
    private easyNotification;
    constructor(http: Http, easyNotification: EasyNotification);
    downloadFile(url: string, overriddenFilename?: string): void;
    downloadFileFromBytes(bytes: Uint8Array, filename: string): void;
    private saveToFileSystem(response, overriddenFilename?);
    private buildError();
}
